--- dmesg.fullACPI	2003-03-06 09:45:41.000000000 -0500
+++ dmesg.noACPI	2003-03-06 10:47:01.000000000 -0500
@@ -13,22 +13,15 @@
   DMA zone: 4096 pages, LIFO batch:1
   Normal zone: 126960 pages, LIFO batch:16
   HighMem zone: 0 pages, LIFO batch:1
-ACPI: RSDP (v000 PTLTD                      ) @ 0x000f6ba0
-ACPI: RSDT (v001 PTLTD    RSDT   01540.00000) @ 0x1fff5e36
-ACPI: FADT (v001 IBM    TP-A20M  01540.00000) @ 0x1fffeb65
-ACPI: BOOT (v001 PTLTD  $SBFTBL$ 01540.00000) @ 0x1fffebd9
-ACPI: DSDT (v001 IBM    TP A20m  01540.00000) @ 0x00000000
-ACPI: BIOS passes blacklist
-ACPI: MADT not present
 IBM machine detected. Enabling interrupts during APM calls.
 IBM machine detected. Disabling SMBus accesses.
 Building zonelist for node : 0
-Kernel command line: root=/dev/hda3 vga=791
+Kernel command line: root=/dev/hda3 vga=791 acpi=off
 Local APIC disabled by BIOS -- reenabling.
 Could not enable APIC!
 Initializing CPU#0
 PID hash table entries: 2048 (order 11: 16384 bytes)
-Detected 696.848 MHz processor.
+Detected 696.836 MHz processor.
 Console: colour dummy device 80x25
 Calibrating delay loop... 1376.25 BogoMIPS
 Memory: 515028k/524224k available (2239k kernel code, 8452k reserved, 621k data, 148k init, 0k highmem)
@@ -64,24 +57,11 @@
 biovec pool[4]: 128 bvecs: 256 entries (1536 bytes)
 biovec pool[5]: 256 bvecs: 256 entries (3072 bytes)
 ACPI: Subsystem revision 20030228
-    ACPI-1121: *** Error: Method execution failed [\_SB_.PCI0._INI] (Node dffe3c20), AE_AML_NO_RETURN_VALUE
-ACPI: Interpreter enabled
-ACPI: Using PIC for interrupt routing
-ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 9 10 *11)
-ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 10 *11)
-ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 10 11, disabled)
-ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 9 10 *11)
-ACPI: PCI Root Bridge [PCI0] (00:00)
-PCI: Probing PCI hardware (bus 00)
-ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
-ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
-ACPI: Power Resource [PSER] (off)
-ACPI: Power Resource [PSIO] (on)
-ACPI: Embedded Controller [EC] (gpe 9)
+ACPI: Disabled via command line (acpi=off)
 Linux Plug and Play Support v0.95 (c) Adam Belay
 PnPBIOS: Found PnP BIOS installation structure at 0xc00f6c50
 PnPBIOS: PnP BIOS version 1.0, entry 0xf0000:0xb1d3, dseg 0x400
-PnPBIOS: 19 nodes reported by PnP BIOS; 19 recorded by driver
+PnPBIOS: 21 nodes reported by PnP BIOS; 21 recorded by driver
 block request queues:
  128 requests per read queue
  128 requests per write queue
@@ -92,9 +72,12 @@
   options:  [pci] [cardbus] [pm]
 drivers/usb/core/usb.c: registered new driver usbfs
 drivers/usb/core/usb.c: registered new driver hub
-ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 10
-PCI: Using ACPI for IRQ routing
-PCI: if you experience problems, try using option 'pci=noacpi' or even 'acpi=off'
+ACPI: ACPI tables contain no PCI IRQ routing entries
+PCI: Invalid ACPI-PCI IRQ routing table
+PCI: Probing PCI hardware
+PCI: Probing PCI hardware (bus 00)
+PCI: Discovered primary peer bus 08 [IRQ]
+PCI: Using IRQ router PIIX [8086/7110] at 00:07.0
 SBF: ACPI BOOT descriptor is wrong length (39)
 SBF: Simple Boot Flag extension found and enabled.
 SBF: Setting boot flags 0x1
@@ -106,18 +89,10 @@
 Capability LSM initialized
 Initializing Cryptographic API
 Limiting direct PCI/PCI transfers.
-ACPI: AC Adapter [AC] (on-line)
-ACPI: Battery Slot [BAT0] (battery present)
-ACPI: Battery Slot [BAT1] (battery absent)
-ACPI: Power Button (FF) [PWRF]
-ACPI: Lid Switch [LID]
-ACPI: Sleep Button (CM) [SLPB]
-ACPI: Processor [CPU] (supports C1 C2 C3, 8 throttling states)
-ACPI: Thermal Zone [THM0] (65 C)
 Serial: 8250/16550 driver $Revision: 1.90 $ IRQ sharing disabled
 devfs_register(tts/1): could not append to parent, err: -17
 tts/1 at I/O 0x2f8 (irq = 3) is a 16550A
-vesafb: framebuffer at 0xf5000000, mapped to 0xe081c000, size 8192k
+vesafb: framebuffer at 0xf5000000, mapped to 0xe080d000, size 8192k
 vesafb: mode is 1024x768x16, linelength=2048, pages=4
 vesafb: protected mode interface info at c000:504c
 vesafb: scrolling: redraw
@@ -153,11 +128,16 @@
 hdc: ATAPI 24X CD-ROM drive, 128kB Cache, UDMA(33)
 Uniform CD-ROM driver Revision: 3.12
 Console: switching to colour frame buffer device 128x48
-Yenta IRQ list 00b8, PCI irq11
+PCI: Found IRQ 11 for device 00:02.0
+PCI: Sharing IRQ 11 with 00:05.0
+PCI: Sharing IRQ 11 with 01:00.0
+Yenta IRQ list 06b8, PCI irq11
 Socket status: 30000006
-Yenta IRQ list 00b8, PCI irq11
+PCI: Found IRQ 11 for device 00:02.1
+Yenta IRQ list 06b8, PCI irq11
 Socket status: 30000020
 drivers/usb/host/uhci-hcd.c: USB Universal Host Controller Interface driver v2.0
+PCI: Found IRQ 11 for device 00:07.2
 uhci-hcd 00:07.2: Intel Corp. 82371AB/EB/MB PIIX4 
 uhci-hcd 00:07.2: irq 11, io base 00001820
 Please use the 'usbfs' filetype instead, the 'usbdevfs' name is deprecated.
@@ -172,6 +152,9 @@
 input: AT Set 2 keyboard on isa0060/serio0
 serio: i8042 KBD port at 0x60,0x64 irq 1
 Advanced Linux Sound Architecture Driver Version 0.9.0rc7 (Sat Feb 15 15:01:21 2003 UTC).
+PCI: Found IRQ 11 for device 00:05.0
+PCI: Sharing IRQ 11 with 00:02.0
+PCI: Sharing IRQ 11 with 01:00.0
 cs46xx: failure waiting for FIFO command to complete
 hub 1-0:0: debounce: port 1: delay 100ms stable 4 status 0x301
 ALSA device list:
@@ -180,7 +163,6 @@
 IP: routing cache hash table of 4096 buckets, 32Kbytes
 TCP: Hash tables configured (established 32768 bind 65536)
 NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
-ACPI: (supports S0 S1 S3 S4 S5)
 hub 1-0:0: new USB device on port 1, assigned address 2
 input: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-00:07.2-1
 cs: cb_alloc(bus 6): vendor 0x115d, device 0x0003

